#ifndef LEVEL_H
#define LEVEL_H

typedef struct Level Level;
typedef struct FourIndices FourIndices;

#include <raylib.h>
#include "game.h"

struct Level {
  char *data;
  size_t data_size;
  int length;
  int width;
  Game *game;
};

struct FourIndices {
  size_t index[4];
};


void init_level(Game *g, Level *l, char *filepath);
void draw_level(Level *l);
FourIndices rect_corners(Level *l, Rectangle r);

#endif
